<?php
if (!defined('IS_ADMIN_FLAG')) {
    die('Illegal Access');
}

define('ZENSMS_VERSION', 2.02);
define('ZENSMS_AUTHOR', "Lukáš Piják");
if(isset($db))
{
    $result = $db->Execute("SELECT configuration_value FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'MODULE_SMS_LANG'");
    if (!$result->EOF):
        $lang =  $result->fields["configuration_value"];
        if(!isset($_SESSION["sms_lang"])){
            $_SESSION["sms_lang"] = $lang;
        }
    endif;

    if(!isset($_SESSION["sms_status"]) && substr(PROJECT_VERSION_MINOR, 0,1) < 5){
        $result = $db->Execute("SELECT configuration_value FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'MODULE_SMS_STATUS'");
        if (!$result->EOF):
            $_SESSION["sms_status"] = $result->fields["configuration_value"];
        endif;
    }
    if($lang == NULL){
        if(file_exists(DIR_FS_CATALOG.'zensms/lang/'.$_SESSION["languages_code"].'/lang.php')){
            require_once(DIR_FS_CATALOG.'zensms/lang/'.$_SESSION["languages_code"].'/lang.php');
        } else {
            require_once(DIR_FS_CATALOG.'zensms/lang/en/lang.php');
        }
    } else {
        if(file_exists(DIR_FS_CATALOG.'zensms/lang/'.$lang.'/lang.php')){
            require_once(DIR_FS_CATALOG.'zensms/lang/'.$lang.'/lang.php');
        } else {
            require_once(DIR_FS_CATALOG.'zensms/lang/en/lang.php');
        }
    }
    /**
     * Filename name defines
     */
    define('FILENAME_SMSUSER', 'zensmsUser');
    define('FILENAME_SMSSEND', 'zensmsSend');
    define('FILENAME_SMSMARKETING', 'zensmsMarketing');
    define('FILENAME_SMSHISTORY', 'zensmsHistory');
    define('FILENAME_SMSSTATISTICS', 'zensmsStatistics');
    define('FILENAME_SMSREPLY', 'zensmsReply');
    define('FILENAME_SMSADMIN', 'zensmsAdmin');
    define('FILENAME_SMSCUSTOMER', 'zensmsCustomer');
    define('FILENAME_SMSOPTOUT', 'zensmsOptOut');
    define('FILENAME_SMSSETINGS', 'zensmsSettings');
    define('FILENAME_SMSBUYCREDIT', 'zensmsBuyCredit');
    define('FILENAME_SMSABOUT', 'zensmsAbout');
    /**
     * Boxes name (menu) defines
     */
    define('BOX_SMSUSER', v_adminsmsprofile_editaccount);
    define('BOX_SMSSEND', v_smsprestashop_send);
    define('BOX_SMSMARKETING', v_smsprestashop_marketing);
    define('BOX_SMSHISTORY', v_smsprestashop_history);
    define('BOX_SMSSTATISTICS', v_statistics);
    define('BOX_SMSREPLY', v_smsprestashop_answers);
    define('BOX_SMSADMIN', v_smsprestashop_admin);
    define('BOX_SMSCUSTOMER', v_smsprestashop_customer);
    define('BOX_SMSOPTOUT', v_smsprestashop_smscharging);
    define('BOX_SMSSETINGS', v_smsprestashop_settings);
    define('BOX_SMSBUYCREDIT', v_smsprestashop_credit);
    define('BOX_SMSABOUT', v_smsprestashop_about);

    define('BOX_HEADING_SMS', v_smsanswers_sms);
}
?>